      subroutine DATOPT(IDAT)
      include 'UNITS.INC'
      include 'INPAR.INC'
      integer EOF,NDATA,DATLEN(7),MINDAT(7)
      integer IDAT,IFIND,IT,INUNIT,LENDAT
      character DATNAM(43)*1
      character REQFMT*19
      data REQFMT/'(/1X,''Option-> ''  )'/
      data NDATA,DATLEN,MINDAT/7, 5,9,12,5,4,4,4, 1,1,1,1,1,1,1/
      data LENDAT/43/
      data DATNAM/'T','O','T','A','L', 'D','I','S','S','O','L','V',
     &'E','D', 'P','A','R','T','I','C','U','L','A','T','E','S',
     &'B','I','O','T','A', 'M','A','S','S', 'H','E','L','P',
     &'Q','U','I','T'/
100   continue
      IDAT = IFIND(NDATA,LENDAT,DATLEN,DATNAM,MINDAT)
      IT = IDAT+3
      go to (120,130,110,130,130,130,130,130,120,130), IT
110   continue
      write (TTYOUT(MACHNO),5000)
5000  format (/' Option not recognized, please try again.'/)
120   continue
      write (TTYOUT(MACHNO),5010)
5010  format (/                                                         
     - 1X,'The following concentration options are available:'//        
     -16X,'Total       -  mg/L in Water Column,'/                       
     -16X,'               mg/kg in Benthic Sediments'/                  
     -16X,'Dissolved   - "Dissolved" (mg/L)'/                           
     -16X,'  (aqueous + complexes with "dissolved" organics)'/          
     -16X,'Particulate -  Sediment-sorbed (mg/kg dry weight)'/          
     -16X,'Biota       -  Biosorbed (ug/g dry weight)'/                 
     -16X,'Mass        -  Chemical mass as grams/square meter AREA'/    
     -16X,'Help        -  This message'/                                
     -16X,'Quit        -  Return to the EXAMS prompt')
      REQFMT(17:18) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      IDAT = -1
      STOPIT = 0
      if (EOF.ne.1) go to 100
130   continue
      return
      end
